
team join Lobby @a[team=]

# Player Join

tag @a[scores={leaveGame=1..}] remove connected
execute as @a[tag=!connected] run function main:connected

# Advancements

execute as @a run function main:advancements_loops/loop

# item Back to the lobby

execute as @e[type=item] if data entity @s Item.tag.BackLobby run kill @s
execute as @e[x=0,y=44,z=0,distance=..50,type=minecraft:snowball] run kill @s

execute as @a unless data entity @s Inventory[{Slot:0b}].tag.BackLobby run clear @s snowball
execute as @a[x=0,y=44,z=0,distance=..15] run clear @s snowball
execute as @a[x=0,y=44,z=0,distance=15..50] run replaceitem entity @s hotbar.0 minecraft:snowball{BackLobby:1,display:{Name:'{"text":"Back to lobby ▪ Right-click","color":"aqua","italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"Right-click to go","color":"white","italic":false}]','{"text":"back to the lobby","color":"white","italic":false}']}}

execute as @a[scores={useTPLobby=1..}] run tag @s add tpLobby
tp @a[tag=tpLobby] 0 44 0 90 0
execute as @a[tag=tpLobby] at @s run particle minecraft:cloud ~ ~1 ~ 0.1 0.5 0.1 0.1 10 normal
execute as @a[tag=tpLobby] at @s run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 1 1.5
tag @a remove tpLobby

scoreboard players reset @a useTPLobby

# TP Sneak

execute as @a[scores={sneakTeleport=1..},x=0,y=44,z=0,distance=..50] at @s if block ~ ~-1 ~ minecraft:emerald_block run tag @s add tpTutorial
tp @a[tag=tpTutorial] -25 43 0 90 0
execute as @a[tag=tpTutorial] at @s run particle minecraft:cloud ~ ~1 ~ 0.1 0.5 0.1 0.1 10 normal
execute as @a[tag=tpTutorial] at @s run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 1 1.5
tag @a remove tpTutorial

execute as @a[scores={sneakTeleport=1..},x=0,y=44,z=0,distance=..50] at @s if block ~ ~-1 ~ minecraft:gold_block run tag @s add tpTeams
execute if entity @e[tag=x,tag=enableTeams] run tp @a[tag=tpTeams] 0 43 -24 180 0
execute if entity @e[tag=x,tag=enableTeams] as @a[tag=tpTeams] at @s run particle minecraft:cloud ~ ~1 ~ 0.1 0.5 0.1 0.1 10 normal
execute if entity @e[tag=x,tag=enableTeams] as @a[tag=tpTeams] at @s run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 1 1.5
execute if entity @e[tag=x,tag=!enableTeams] as @a[tag=tpTeams] at @s run playsound minecraft:block.anvil.break master @s ~ ~ ~ 1 1.5
tag @a remove tpTeams

execute as @a[scores={sneakTeleport=1..},x=0,y=44,z=0,distance=..50] at @s if block ~ ~-1 ~ minecraft:diamond_block run tag @s add tpSettings
tp @a[tag=tpSettings,tag=!startingTimer] 0 43 24 0 0
execute as @a[tag=tpSettings,tag=!startingTimer] at @s run particle minecraft:cloud ~ ~1 ~ 0.1 0.5 0.1 0.1 10 normal
execute as @a[tag=tpSettings,tag=!startingTimer] at @s run playsound minecraft:entity.enderman.teleport master @s ~ ~ ~ 1 1.5
execute as @a[tag=tpSettings,tag=startingTimer] at @s run playsound minecraft:block.anvil.break master @s ~ ~ ~ 1 1.5
tag @a remove tpSettings

scoreboard players reset @a sneakTeleport


# Permanent effects

effect give @a saturation 420 255 true
effect give @a[x=0,y=44,z=0,distance=..50] night_vision 1 0 true
effect give @a[x=0,y=44,z=0,distance=..50] instant_health 2 9 true
effect give @a[x=0,y=44,z=0,distance=..50] weakness 1 255 true

# Easter egg

execute at @e[type=item,x=-37.5,y=44.5,z=3.5,distance=..3] run particle minecraft:enchant ~ ~ ~ 0.1 0.1 0.1 1 10 normal

# End Timer

execute if score timer gameEnding matches 1.. run scoreboard players remove timer gameEnding 1
execute if score timer gameEnding matches 5 run tellraw @a ["",{"text":"\u25b6 ","color":"white"},{"text":"Hey! Press ","color":"yellow"},{"keybind":"key.advancements","bold":false,"color":"white"},{"text":" to see the progress of your ","color":"yellow"},{"text":"game statistics","color":"gold"},{"text":".","color":"yellow"}]
execute if score timer gameEnding matches 5 as @a at @s run playsound minecraft:ui.toast.challenge_complete master @s ~ ~ ~ 0.5
execute if score timer gameEnding matches 5 run title @a actionbar ["",{"text":"Map created by: ","color":"gold"},{"text":"Lumesio, Mathaym25 & ZiraTeck","color":"yellow","bold":true}]
execute if score timer gameEnding matches 5 as @a at @s run playsound minecraft:music.dragon block @s ~ ~ ~ 1 0.1
execute if score timer gameEnding matches 5 run title @a times 20 100 80
execute if score timer gameEnding matches 5 run clear @a #main:weapon

# Spectator Area

execute as @e[tag=x,tag=gameStarted] run function main:spectator_area

# Game Timer

execute as @e[tag=x,tag=generating] run function main:game/generating
function main:game_timer

# Game Started System

execute as @e[tag=x,tag=gameStarted] run function main:game/in_game
execute as @e[tag=x,tag=!gameStarted] run effect give @a[team=Spectator] minecraft:invisibility 1 0 true

# Ready System

clear @a[distance=50..,tag=gameStarted] player_head
tag @a[distance=50..,tag=GameStarted] remove isReady
execute unless score timer gameEnding matches 1.. if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer] run function main:ready/common

# Timer after ready

execute if entity @e[tag=x,tag=!gameStarted,tag=startingTimer] run function main:starting/timer/loop

# Join team System

    # Count
execute if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer,tag=enableTeams] run function main:join_team/count
    # Teams
execute if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer,tag=enableTeams] as @a[x=6,y=43,z=-38,dx=3,dy=3,dz=3,team=!Red] run function main:join_team/red
execute if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer,tag=enableTeams] as @a[x=-6,y=43,z=-35,dx=-3,dy=3,dz=-3,team=!Blue] run function main:join_team/blue
execute if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer,tag=enableTeams] as @a[x=-6,y=43,z=-27,dx=-3,dy=3,dz=-3,team=!Green] run function main:join_team/green
execute if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer,tag=enableTeams] as @a[x=6,y=43,z=-30,dx=3,dy=3,dz=3,team=!Yellow] run function main:join_team/yellow
    # Lobby
execute if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer,tag=enableTeams] as @a[x=-1,y=43,z=-41,dx=2,dy=3,dz=-2,team=!Lobby,team=!Spectator] run function main:join_team/lobby
    # Kick if team is overloaded
execute if score red lobbyCount matches 6.. if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer] as @r[team=Red] run function main:join_team/kick
execute if score blue lobbyCount matches 6.. if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer] as @r[team=Blue] run function main:join_team/kick
execute if score green lobbyCount matches 6.. if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer] as @r[team=Green] run function main:join_team/kick
execute if score yellow lobbyCount matches 6.. if entity @e[tag=x,tag=!gameStarted,tag=!startingTimer] as @r[team=Yellow] run function main:join_team/kick

# Disable team toggle System

execute as @e[tag=x,scores={sTeams=1}] run tp @a[team=Green] 0 43 -42
execute as @e[tag=x,scores={sTeams=1}] run tp @a[team=Yellow] 0 43 -42
execute as @e[tag=x,scores={sTeams=1}] run data merge entity @e[tag=numberG,limit=1] {CustomName:'{"text":"DISABLED","color":"red"}'}
execute as @e[tag=x,scores={sTeams=1}] run data merge entity @e[tag=numberY,limit=1] {CustomName:'{"text":"DISABLED","color":"red"}'}
execute as @e[tag=x,scores={sTeams=1}] run fill -5 45 -27 -5 43 -30 minecraft:iron_bars
execute as @e[tag=x,scores={sTeams=1}] run fill 5 45 -30 5 43 -27 minecraft:iron_bars
execute as @e[tag=x,scores={sTeams=2}] run data merge entity @e[tag=numberY,limit=1] {CustomName:'{"text":"DISABLED","color":"red"}'}
execute as @e[tag=x,scores={sTeams=2}] run fill 5 45 -30 5 43 -27 minecraft:iron_bars
execute as @e[tag=x,scores={sTeams=2}] run tp @a[team=Yellow] 0 43 -42 0 0

# Credits

execute as @e[tag=x,type=armor_stand] if block 15 44 0 minecraft:stone_button[powered=true] run scoreboard players add @e[tag=x,type=minecraft:armor_stand] credits 1
execute as @e[tag=x,type=armor_stand] if block 15 44 0 minecraft:stone_button[powered=true] run scoreboard players set @e[tag=x,type=minecraft:armor_stand,scores={credits=4..}] credits 1

execute as @e[tag=x,type=armor_stand,scores={credits=1}] if block 15 44 0 minecraft:stone_button[powered=true] run function main:credits/display1
execute as @e[tag=x,type=armor_stand,scores={credits=2}] if block 15 44 0 minecraft:stone_button[powered=true] run function main:credits/display2
execute as @e[tag=x,type=armor_stand,scores={credits=3}] if block 15 44 0 minecraft:stone_button[powered=true] run function main:credits/display3

execute as @e[tag=x,type=armor_stand] if block 15 44 0 minecraft:stone_button[powered=true] run playsound minecraft:entity.armor_stand.break master @a 15 44 0 0.5 2
execute as @e[tag=x,type=armor_stand] if block 15 44 0 minecraft:stone_button[powered=true] run playsound minecraft:item.trident.throw master @a 15 44 00.5 0.5
execute as @e[tag=x,type=armor_stand] if block 15 44 0 minecraft:stone_button[powered=true] run playsound minecraft:item.book.put master @a 15 44 0 0.5 0.5
execute as @e[tag=x,type=armor_stand] if block 15 44 0 minecraft:stone_button[powered=true] run playsound minecraft:entity.player.attack.knockback master @a 15 44 0 0.5 2

execute as @e[tag=x,type=armor_stand] if block 15 44 0 minecraft:stone_button[powered=true] run setblock 15 44 0 minecraft:stone_button[face=floor,facing=east,powered=false] destroy

# Hard Reset button

execute if block 0 43 32 minecraft:dark_oak_button[powered=true] run function main:reload_map
execute if block 0 43 32 minecraft:dark_oak_button[powered=true] run setblock 0 43 32 minecraft:dark_oak_button[face=floor,facing=north] destroy

# Toggle RandomEvents Settings

execute at @a[scores={triggerEvents=2}] run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @a[scores={triggerEvents=2}] run scoreboard players set @e[tag=x,type=armor_stand] sGameEvents 1
execute as @a[scores={triggerEvents=2}] run setblock 5 44 28 air
execute as @a[scores={triggerEvents=2}] run setblock 5 44 28 minecraft:spruce_wall_sign[facing=west]{Text1:'{"text":"RANDOM EVENTS","clickEvent":{"action":"run_command","value":"/scoreboard players set @s triggerEvents 1"},"bold":true}',Text2:"",Text3:'{"text":"Enabled","color":"green"}',Text4:'{"text":"<Click to change>","color":"white"}'}

execute at @a[scores={triggerEvents=1}] run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @a[scores={triggerEvents=1}] run scoreboard players set @e[tag=x,type=armor_stand] sGameEvents 2
execute as @a[scores={triggerEvents=1}] run setblock 5 44 28 air
execute as @a[scores={triggerEvents=1}] run setblock 5 44 28 minecraft:spruce_wall_sign[facing=west]{Text1:'{"text":"RANDOM EVENTS","clickEvent":{"action":"run_command","value":"/scoreboard players set @s triggerEvents 2"},"bold":true}',Text2:"",Text3:'{"text":"Disabled","color":"red"}',Text4:'{"text":"<Click to change>","color":"white"}'}

scoreboard players reset @a triggerEvents

# Toggle PVP Settings

execute at @a[scores={triggerPVP=2}] run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @a[scores={triggerPVP=2}] run scoreboard players set @e[tag=x,type=armor_stand] sPvpMode 1
execute as @a[scores={triggerPVP=2}] run setblock -5 44 28 air
execute as @a[scores={triggerPVP=2}] run setblock -5 44 28 minecraft:spruce_wall_sign[facing=east]{Text1:'{"text":"PVP RULES","clickEvent":{"action":"run_command","value":"/scoreboard players set @s triggerPVP 1"},"bold":true}',Text2:"",Text3:'{"text":"Combat 1.8","color":"gold"}',Text4:'{"text":"<Click to change>","color":"white"}'}

execute at @a[scores={triggerPVP=1}] run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @a[scores={triggerPVP=1}] run scoreboard players set @e[tag=x,type=armor_stand] sPvpMode 2
execute as @a[scores={triggerPVP=1}] run setblock -5 44 28 air
execute as @a[scores={triggerPVP=1}] run setblock -5 44 28 minecraft:spruce_wall_sign[facing=east]{Text1:'{"text":"PVP RULES","clickEvent":{"action":"run_command","value":"/scoreboard players set @s triggerPVP 2"},"bold":true}',Text2:"",Text3:'{"text":"Combat 1.9+","color":"gold"}',Text4:'{"text":"<Click to change>","color":"white"}'}

scoreboard players reset @a triggerPVP

# Lock settings Door animation

execute if score timer settingsDoor matches 1.. run scoreboard players remove timer settingsDoor 1
execute if score timer settingsDoor matches 20 run playsound minecraft:block.anvil.land master @a 0 45 20 0.5 0.6
execute if score timer settingsDoor matches 15 run playsound minecraft:block.anvil.land master @a 0 45 20 0.5 0.7
execute if score timer settingsDoor matches 10 run playsound minecraft:block.anvil.land master @a 0 45 20 0.5 0.8
execute if score timer settingsDoor matches 5 run playsound minecraft:block.anvil.land master @a 0 45 20 1 0.9
execute if score timer settingsDoor matches 20 run playsound minecraft:block.note_block.basedrum master @a 0 45 20 0.5 1
execute if score timer settingsDoor matches 15 run playsound minecraft:block.note_block.basedrum master @a 0 45 20 0.5 1
execute if score timer settingsDoor matches 10 run playsound minecraft:block.note_block.basedrum master @a 0 45 20 0.5 1
execute if score timer settingsDoor matches 5 run playsound minecraft:block.note_block.basedrum master @a 0 45 20 0.5 1
execute if score timer settingsDoor matches 20 run fill 2 46 21 -2 46 21 minecraft:iron_bars
execute if score timer settingsDoor matches 15 run fill 2 46 21 -2 45 21 minecraft:iron_bars
execute if score timer settingsDoor matches 10 run fill 2 46 21 -2 44 21 minecraft:iron_bars
execute if score timer settingsDoor matches 5 run fill 2 46 21 -2 43 21 minecraft:iron_bars
execute if score timer settingsDoor matches 1 run playsound minecraft:block.wood.place master @a 0 45 20 0.5 1
execute if score timer settingsDoor matches 1 run setblock 0 44 20 minecraft:oak_wall_sign[facing=north]{Text1:'{"text":"This area","bold":true,"color":"red"}',Text2:'{"text":"is disabled","bold":true,"color":"red"}',Text3:'{"text":"because a","bold":true,"color":"red"}',Text4:'{"text":"game started","bold":true,"color":"red"}'} destroy
execute if score timer settingsDoor matches 1 run setblock 0 44 21 minecraft:iron_bars[north=true,east=true,west=true]
execute if score timer settingsDoor matches 1 run tp @a[x=0,y=43,z=30,distance=..10] 0 44 0

# Lock Teams Door animation

execute if score timer teamsDoor matches 1.. run scoreboard players remove timer teamsDoor 1
execute if score timer teamsDoor matches 20 run playsound minecraft:block.anvil.land master @a 0 45 -20 0.5 0.6
execute if score timer teamsDoor matches 15 run playsound minecraft:block.anvil.land master @a 0 45 -20 0.5 0.7
execute if score timer teamsDoor matches 10 run playsound minecraft:block.anvil.land master @a 0 45 -20 0.5 0.8
execute if score timer teamsDoor matches 5 run playsound minecraft:block.anvil.land master @a 0 45 -20 0.5 0.9
execute if score timer teamsDoor matches 20 run playsound minecraft:block.note_block.basedrum master @a 0 45 -20 0.5 1
execute if score timer teamsDoor matches 15 run playsound minecraft:block.note_block.basedrum master @a 0 45 -20 0.5 1
execute if score timer teamsDoor matches 10 run playsound minecraft:block.note_block.basedrum master @a 0 45 -20 0.5 1
execute if score timer teamsDoor matches 5 run playsound minecraft:block.note_block.basedrum master @a 0 45 -20 0.5 1
execute if score timer teamsDoor matches 20 run fill -2 46 -21 2 46 -21 minecraft:iron_bars
execute if score timer teamsDoor matches 15 run fill -2 46 -21 2 45 -21 minecraft:iron_bars
execute if score timer teamsDoor matches 10 run fill -2 46 -21 2 44 -21 minecraft:iron_bars
execute if score timer teamsDoor matches 5 run fill -2 46 -21 2 43 -21 minecraft:iron_bars
execute if score timer teamsDoor matches 1 run playsound minecraft:block.wood.place master @a 0 45 -20 0.5 1
execute if score timer teamsDoor matches 1 run setblock 0 44 -20 minecraft:oak_wall_sign[facing=south]{Text1:'{"text":"This area","bold":true,"color":"red"}',Text2:'{"text":"has been","bold":true,"color":"red"}',Text3:'{"text":"disabled in","bold":true,"color":"red"}',Text4:'{"text":"the settings","bold":true,"color":"red"}'} destroy
execute if score timer teamsDoor matches 1 run setblock 0 44 -21 minecraft:iron_bars[south=true,east=true,west=true]
execute if score timer teamsDoor matches 1 run tp @a[x=0,y=43,z=-32,distance=..12] 0 44 0

# settings toggle teams
execute as @e[tag=x,tag=!enableTeams] if block 2 44 33 minecraft:lever[powered=true] run function main:settings/enable_teams
execute as @e[tag=x,tag=enableTeams] if block 2 44 33 minecraft:lever[powered=false] run function main:settings/disable_teams

# settings toggle timer / score
execute as @e[tag=x,tag=!enableScore] if block 5 44 27 minecraft:lever[powered=true] run function main:settings/score_mode
execute as @e[tag=x,tag=enableScore] if block 5 44 27 minecraft:lever[powered=false] run function main:settings/timer_mode

# settings toggle pvp
execute as @e[tag=x,tag=!enablePvp] if block -5 44 27 minecraft:lever[powered=true] run function main:settings/enable_pvp
execute as @e[tag=x,tag=enablePvp] if block -5 44 27 minecraft:lever[powered=false] run function main:settings/disable_pvp

# settings modify

execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selteam,limit=1,sort=nearest,distance=..2] sTeams 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selpvp,limit=1,sort=nearest,distance=..2] sItemStolen 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=seltimer,limit=1,sort=nearest,distance=..2] sGameTime 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selscore,limit=1,sort=nearest,distance=..2] sGameScore 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selmap,limit=1,sort=nearest,distance=..2] sMap 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selrate,limit=1,sort=nearest,distance=..2] sDropRate 1


# error sounds when at limit

execute as @e[tag=x,scores={sTeams=3}] if entity @e[type=villager,tag=selUPt1,scores={sTeams=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPt1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sTeams=3}] if entity @e[type=villager,tag=selUPt1,scores={sTeams=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPt1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sTeams=1}] if entity @e[type=villager,tag=selDOWNt1,scores={sTeams=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNt1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sTeams=1}] if entity @e[type=villager,tag=selDOWNt1,scores={sTeams=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNt1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0

execute as @e[tag=x,scores={sItemStolen=10}] if entity @e[type=villager,tag=selUPp1,scores={sItemStolen=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPp1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sItemStolen=10}] if entity @e[type=villager,tag=selUPp1,scores={sItemStolen=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPp1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sItemStolen=1}] if entity @e[type=villager,tag=selDOWNp1,scores={sItemStolen=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNp1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sItemStolen=1}] if entity @e[type=villager,tag=selDOWNp1,scores={sItemStolen=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNp1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0

execute as @e[tag=x,scores={sGameTime=10}] if entity @e[type=villager,tag=selUPt2,scores={sGameTime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPt2] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sGameTime=10}] if entity @e[type=villager,tag=selUPt2,scores={sGameTime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPt2] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sGameTime=1}] if entity @e[type=villager,tag=selDOWNt2,scores={sGameTime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNt2] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sGameTime=1}] if entity @e[type=villager,tag=selDOWNt2,scores={sGameTime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNt2] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0

execute as @e[tag=x,scores={sGameScore=10}] if entity @e[type=villager,tag=selUPs1,scores={sGameScore=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPs1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sGameScore=10}] if entity @e[type=villager,tag=selUPs1,scores={sGameScore=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPs1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sGameScore=1}] if entity @e[type=villager,tag=selDOWNs1,scores={sGameScore=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNs1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sGameScore=1}] if entity @e[type=villager,tag=selDOWNs1,scores={sGameScore=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNs1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0

execute as @e[tag=x,scores={sMap=3}] if entity @e[type=villager,tag=selUPm1,scores={sMap=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPm1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sMap=3}] if entity @e[type=villager,tag=selUPm1,scores={sMap=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPm1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sMap=1}] if entity @e[type=villager,tag=selDOWNm1,scores={sMap=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNm1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sMap=1}] if entity @e[type=villager,tag=selDOWNm1,scores={sMap=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNm1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0

execute as @e[tag=x,scores={sDropRate=2400}] if entity @e[type=villager,tag=selUPr1,scores={sDropRate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPr1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sDropRate=2400}] if entity @e[type=villager,tag=selUPr1,scores={sDropRate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUPr1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sDropRate=200}] if entity @e[type=villager,tag=selDOWNr1,scores={sDropRate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNr1] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sDropRate=200}] if entity @e[type=villager,tag=selDOWNr1,scores={sDropRate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWNr1] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0

scoreboard players set @a sel1 0
execute as @e[tag=x,scores={sTeams=2..}] as @e[type=villager,tag=selDOWNt1,scores={sTeams=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN1,limit=1,sort=nearest] add sAT
execute as @e[tag=x,scores={sTeams=..2}] as @e[type=villager,tag=selUPt1,scores={sTeams=1..}] at @s run tag @e[type=armor_stand,tag=selUP1,limit=1,sort=nearest] add sAT
execute as @e[tag=x,scores={sItemStolen=2..}] as @e[type=villager,tag=selDOWNp1,scores={sItemStolen=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN2,limit=1,sort=nearest] add sAP
execute as @e[tag=x,scores={sItemStolen=..11}] as @e[type=villager,tag=selUPp1,scores={sItemStolen=1..}] at @s run tag @e[type=armor_stand,tag=selUP2,limit=1,sort=nearest] add sAP
execute as @e[tag=x,scores={sGameTime=2..}] as @e[type=villager,tag=selDOWNt2,scores={sGameTime=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN4,limit=1,sort=nearest] add sAD
execute as @e[tag=x,scores={sGameTime=..9}] as @e[type=villager,tag=selUPt2,scores={sGameTime=1..}] at @s run tag @e[type=armor_stand,tag=selUP4,limit=1,sort=nearest] add sAD
execute as @e[tag=x,scores={sGameScore=2..}] as @e[type=villager,tag=selDOWNs1,scores={sGameScore=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN3,limit=1,sort=nearest] add sAS
execute as @e[tag=x,scores={sGameScore=..9}] as @e[type=villager,tag=selUPs1,scores={sGameScore=1..}] at @s run tag @e[type=armor_stand,tag=selUP3,limit=1,sort=nearest] add sAS
execute as @e[tag=x,scores={sMap=2..}] as @e[type=villager,tag=selDOWNm1,scores={sMap=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN5,limit=1,sort=nearest] add sAM
execute as @e[tag=x,scores={sMap=..2}] as @e[type=villager,tag=selUPm1,scores={sMap=1..}] at @s run tag @e[type=armor_stand,tag=selUP5,limit=1,sort=nearest] add sAM
execute as @e[tag=x,scores={sDropRate=400..}] as @e[type=villager,tag=selDOWNr1,scores={sDropRate=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN6,limit=1,sort=nearest] add sAR
execute as @e[tag=x,scores={sDropRate=..2200}] as @e[type=villager,tag=selUPr1,scores={sDropRate=1..}] at @s run tag @e[type=armor_stand,tag=selUP6,limit=1,sort=nearest] add sAR

execute as @e[tag=x] if entity @e[type=villager,tag=selUPt1,scores={sTeams=1..}] run scoreboard players add @e[tag=x,scores={sTeams=..2}] sTeams 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNt1,scores={sTeams=1..}] run scoreboard players remove @e[tag=x,scores={sTeams=2..}] sTeams 1
execute as @e[tag=x] if entity @e[type=villager,tag=selUPp1,scores={sItemStolen=1..}] run scoreboard players add @e[tag=x,scores={sItemStolen=..11}] sItemStolen 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNp1,scores={sItemStolen=1..}] run scoreboard players remove @e[tag=x,scores={sItemStolen=2..}] sItemStolen 1
execute as @e[tag=x] if entity @e[type=villager,tag=selUPt2,scores={sGameTime=1..}] run scoreboard players add @e[tag=x,scores={sGameTime=..9}] sGameTime 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNt2,scores={sGameTime=1..}] run scoreboard players remove @e[tag=x,scores={sGameTime=2..}] sGameTime 1
execute as @e[tag=x] if entity @e[type=villager,tag=selUPs1,scores={sGameScore=1..}] run scoreboard players add @e[tag=x,scores={sGameScore=..9}] sGameScore 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNs1,scores={sGameScore=1..}] run scoreboard players remove @e[tag=x,scores={sGameScore=2..}] sGameScore 1
execute as @e[tag=x] if entity @e[type=villager,tag=selUPm1,scores={sMap=1..}] run scoreboard players add @e[tag=x] sMap 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNm1,scores={sMap=1..}] run scoreboard players remove @e[tag=x] sMap 1
execute as @e[tag=x] if entity @e[type=villager,tag=selUPr1,scores={sDropRate=1..}] run scoreboard players add @e[tag=x,scores={sDropRate=..2200}] sDropRate 200
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNr1,scores={sDropRate=1..}] run scoreboard players remove @e[tag=x,scores={sDropRate=400..}] sDropRate 200


execute as @e[tag=x] if score @s sMap matches ..0 run scoreboard players set @s sMap 3
execute as @e[tag=x] if score @s sMap matches 4.. run scoreboard players set @s sMap 1

execute as @e[tag=x] if entity @e[type=villager,name=selteam,scores={sTeams=1..}] run function main:signsettings
execute as @e[tag=x] if entity @e[type=villager,name=selpvp,scores={sItemStolen=1..}] run function main:signsettings
execute as @e[tag=x] if entity @e[type=villager,name=seltimer,scores={sGameTime=1..}] run function main:signsettings
execute as @e[tag=x] if entity @e[type=villager,name=selscore,scores={sGameScore=1..}] run function main:signsettings
execute as @e[tag=x] if entity @e[type=villager,name=selrate,scores={sDropRate=1..}] run function main:signsettings
execute as @e[tag=x] if entity @e[type=villager,name=selmap,scores={sMap=1..}] run function main:set_map


execute as @e[tag=x] if entity @e[type=villager,tag=selUPt1,scores={sTeams=1..}] run scoreboard players reset @e[type=villager,tag=selUPt1,scores={sTeams=1..}] sTeams 
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNt1,scores={sTeams=1..}] run scoreboard players reset @e[type=villager,tag=selDOWNt1,scores={sTeams=1..}] sTeams
execute as @e[tag=x] if entity @e[type=villager,tag=selUPp1,scores={sItemStolen=1..}] run scoreboard players reset @e[type=villager,tag=selUPp1,scores={sItemStolen=1..}] sItemStolen 
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNp1,scores={sItemStolen=1..}] run scoreboard players reset @e[type=villager,tag=selDOWNp1,scores={sItemStolen=1..}] sItemStolen
execute as @e[tag=x] if entity @e[type=villager,tag=selUPt2,scores={sGameTime=1..}] run scoreboard players reset @e[type=villager,tag=selUPt2,scores={sGameTime=1..}] sGameTime 
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNt2,scores={sGameTime=1..}] run scoreboard players reset @e[type=villager,tag=selDOWNt2,scores={sGameTime=1..}] sGameTime 
execute as @e[tag=x] if entity @e[type=villager,tag=selUPs1,scores={sGameScore=1..}] run scoreboard players reset @e[type=villager,tag=selUPs1,scores={sGameScore=1..}] sGameScore 
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNs1,scores={sGameScore=1..}] run scoreboard players reset @e[type=villager,tag=selDOWNs1,scores={sGameScore=1..}] sGameScore 
execute as @e[tag=x] if entity @e[type=villager,tag=selUPm1,scores={sMap=1..}] run scoreboard players reset @e[type=villager,tag=selUPm1,scores={sMap=1..}] sMap 
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNm1,scores={sMap=1..}] run scoreboard players reset @e[type=villager,tag=selDOWNm1,scores={sMap=1..}] sMap
execute as @e[tag=x] if entity @e[type=villager,tag=selUPr1,scores={sDropRate=1..}] run scoreboard players reset @e[type=villager,tag=selUPr1,scores={sDropRate=1..}] sDropRate 
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWNr1,scores={sDropRate=1..}] run scoreboard players reset @e[type=villager,tag=selDOWNr1,scores={sDropRate=1..}] sDropRate


# selected animation settings

execute as @e[tag=sAT,scores={selAnimation=1}] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.1 0
execute as @e[tag=sAP,scores={selAnimation=1}] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.1 0
execute as @e[tag=sAS,scores={selAnimation=1}] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.1 0
execute as @e[tag=sAD,scores={selAnimation=1}] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.1 0
execute as @e[tag=sAM,scores={selAnimation=1}] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.1 0
execute as @e[tag=sAR,scores={selAnimation=1}] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.1 0
execute as @e[tag=selDOWN1,tag=sAT,scores={selAnimation=1}] at @s run tp @s ~.1 ~ ~
execute as @e[tag=selUP1,tag=sAT,scores={selAnimation=1}] at @s run tp @s ~-.1 ~ ~
execute as @e[tag=selDOWN2,tag=sAP,scores={selAnimation=1}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selUP2,tag=sAP,scores={selAnimation=1}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selDOWN3,tag=sAS,scores={selAnimation=1}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selUP3,tag=sAS,scores={selAnimation=1}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selDOWN4,tag=sAD,scores={selAnimation=1}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selUP4,tag=sAD,scores={selAnimation=1}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selDOWN5,tag=sAM,scores={selAnimation=1}] at @s run tp @s ~.1 ~ ~
execute as @e[tag=selUP5,tag=sAM,scores={selAnimation=1}] at @s run tp @s ~-.1 ~ ~
execute as @e[tag=selDOWN6,tag=sAR,scores={selAnimation=1}] at @s run tp @s ~.1 ~ ~
execute as @e[tag=selUP6,tag=sAR,scores={selAnimation=1}] at @s run tp @s ~-.1 ~ ~
execute as @e[tag=sAT] run scoreboard players add @s selAnimation 1
execute as @e[tag=sAP] run scoreboard players add @s selAnimation 1
execute as @e[tag=sAS] run scoreboard players add @s selAnimation 1
execute as @e[tag=sAD] run scoreboard players add @s selAnimation 1
execute as @e[tag=sAM] run scoreboard players add @s selAnimation 1
execute as @e[tag=sAR] run scoreboard players add @s selAnimation 1
execute as @e[tag=selDOWN1,tag=sAT,scores={selAnimation=5..}] at @s run tp @s ~-.1 ~ ~
execute as @e[tag=selUP1,tag=sAT,scores={selAnimation=5..}] at @s run tp @s ~.1 ~ ~
execute as @e[tag=selDOWN2,tag=sAP,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selUP2,tag=sAP,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selDOWN3,tag=sAS,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selUP3,tag=sAS,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selDOWN4,tag=sAD,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selUP4,tag=sAD,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~-0.1
execute as @e[tag=selDOWN5,tag=sAM,scores={selAnimation=5..}] at @s run tp @s ~-.1 ~ ~
execute as @e[tag=selUP5,tag=sAM,scores={selAnimation=5..}] at @s run tp @s ~.1 ~ ~
execute as @e[tag=selDOWN6,tag=sAR,scores={selAnimation=5..}] at @s run tp @s ~-.1 ~ ~
execute as @e[tag=selUP6,tag=sAR,scores={selAnimation=5..}] at @s run tp @s ~.1 ~ ~
execute as @e[tag=sAT,scores={selAnimation=5..}] at @s run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @e[tag=sAT,scores={selAnimation=5..}] run tag @s add sAT2
execute as @e[tag=sAP,scores={selAnimation=5..}] at @s run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @e[tag=sAP,scores={selAnimation=5..}] run tag @s add sAP2
execute as @e[tag=sAS,scores={selAnimation=5..}] at @s run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @e[tag=sAS,scores={selAnimation=5..}] run tag @s add sAS2
execute as @e[tag=sAD,scores={selAnimation=5..}] at @s run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @e[tag=sAD,scores={selAnimation=5..}] run tag @s add sAD2
execute as @e[tag=sAM,scores={selAnimation=5..}] at @s run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @e[tag=sAM,scores={selAnimation=5..}] run tag @s add sAM2
execute as @e[tag=sAR,scores={selAnimation=5..}] at @s run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @e[tag=sAR,scores={selAnimation=5..}] run tag @s add sAR2
execute as @e[tag=sAT2] run scoreboard players set @s selAnimation 0
execute as @e[tag=sAP2] run scoreboard players set @s selAnimation 0
execute as @e[tag=sAS2] run scoreboard players set @s selAnimation 0
execute as @e[tag=sAD2] run scoreboard players set @s selAnimation 0
execute as @e[tag=sAM2] run scoreboard players set @s selAnimation 0
execute as @e[tag=sAR2] run scoreboard players set @s selAnimation 0
execute as @e[tag=sAT2] run tag @s remove sAT
execute as @e[tag=sAP2] run tag @s remove sAP
execute as @e[tag=sAS2] run tag @s remove sAS
execute as @e[tag=sAD2] run tag @s remove sAD
execute as @e[tag=sAM2] run tag @s remove sAM
execute as @e[tag=sAR2] run tag @s remove sAR
execute as @e[tag=sAT2] run tag @s remove sAT2
execute as @e[tag=sAP2] run tag @s remove sAP2
execute as @e[tag=sAS2] run tag @s remove sAS2
execute as @e[tag=sAD2] run tag @s remove sAD2
execute as @e[tag=sAM2] run tag @s remove sAM2
execute as @e[tag=sAR2] run tag @s remove sAR2






