
# Definition of the maximum number of items in a game

execute if entity @e[tag=x,scores={sMap=1}] run scoreboard players set #spawning itemsTimer 70
execute if entity @e[tag=x,scores={sMap=2}] run scoreboard players set #spawning itemsTimer 110
execute if entity @e[tag=x,scores={sMap=3}] run scoreboard players set #spawning itemsTimer 170

# Set the quantity of missing items

scoreboard players operation #spawning itemsTimer -= items itemsTimer

# Set the amount of spawn items for this patch

scoreboard players operation #patch_spawning itemsTimer = #spawning itemsTimer
execute if score #patch_spawning itemsTimer matches 6.. run scoreboard players set #patch_spawning itemsTimer 5
scoreboard players operation #spawning itemsTimer -= #patch_spawning itemsTimer

# All values here = 1024

scoreboard players set #weightB itemsTimer 550
scoreboard players set #weightI itemsTimer 220
scoreboard players set #weightG itemsTimer 120
scoreboard players set #weightD itemsTimer 80
scoreboard players set #weightE itemsTimer 54

# Implementation of cumulative weights

scoreboard players operation #weightI itemsTimer += #weightB itemsTimer
scoreboard players operation #weightG itemsTimer += #weightI itemsTimer
scoreboard players operation #weightD itemsTimer += #weightG itemsTimer
scoreboard players operation #weightE itemsTimer += #weightD itemsTimer

# Spawn of the number of random items at coordinates linked to the map

execute if score #patch_spawning itemsTimer matches 1.. if entity @e[tag=x,scores={sMap=1}] positioned 5000 0 -5000 run function main:items/spawn
execute if score #patch_spawning itemsTimer matches 1.. if entity @e[tag=x,scores={sMap=2}] positioned 5000 0 5000 run function main:items/spawn
execute if score #patch_spawning itemsTimer matches 1.. if entity @e[tag=x,scores={sMap=3}] positioned 5000 0 0 run function main:items/spawn

# Spread of newly spawn items

execute if entity @e[tag=x,scores={sMap=1}] positioned 5000 0 -5000 run spreadplayers ~ ~ 1 40 false @e[type=item,distance=..1]
execute if entity @e[tag=x,scores={sMap=2}] positioned 5000 0 5000 run spreadplayers ~ ~ 1 50 false @e[type=item,distance=..1]
execute if entity @e[tag=x,scores={sMap=3}] positioned 5000 0 0 run spreadplayers ~ ~ 1 28 false @e[type=item,distance=..1]

# Sounds
execute as @a at @s run playsound minecraft:block.note_block.chime master @s ~ ~ ~ 0.1 1

# Loop
execute if score #spawning itemsTimer matches ..0 run scoreboard players set itemSpawn itemsTimer -1
execute if score #spawning itemsTimer matches 1.. run schedule function main:items/spawn_patch 2t
